/*  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 * USA.
 *
 * $Id$
 */

#define LMAX 256
#define DIRDEF "/.wnews"
#define CONFIG "/.wnews/config"
#define RSOURC "/.wnews/resources"

#define PROXY "PROXY"
#define INTERACTIVE "INTERACTIVE"
#define BROWSER "BROWSER"
#define GZIPO   "GZIP"
#define TMPO	"TMPDIR"

#define KUP      "KEY_UP"
#define KUD      "KEY_DOWN"
#define KPUP     "KEY_PUP"
#define KPDN     "KEY_PDN"
#define KURL     "KEY_URL"
#define KLEFT    "KEY_LEFT"
#define KRIGHT   "KEY_RIGHT"
#define KTAB     "KEY_TAB"
#define KENTER   "KEY_ENTER"
#define KBROWSER "KEY_BROWSE"
#define KQUIT    "KEY_QUIT"
#define KNUM 11

/* Alternative key maps */
int AUP;
int AUD;
int AENTER;
int ATAB;
int AURL;
int ARIGHT;
int ALEFT;
int AQUIT;
int ABROWSER;
int APUP;
int APDN;

#ifndef KEY_SPACE
#  define KEY_SPACE ' '
#endif
#ifndef KEY_TAB
#  define KEY_TAB '\t'
#endif
#ifndef KEY_ENTER
#  define KEY_ENTER '\n'
#endif

struct passwd *me;
char *proxy, *browser, *gzip, *tmpdir;
int interactive, ASCII;

static const char df_config[]=
"#######################################\n"
"# __      ___ __   _____      _____   #\n"
"# \\ \\ /\\ / / '_ \\ / _ \\ \\ /\\ / / __|  #\n"
"#  \\ V  V /| | | |  __/\\ V  V /\\__ \\  #\n"
"#   \\_/\\_/ |_| |_|\\___| \\_/\\_/ |___/  #\n"
"#    The default wnews config file    #\n"
"#######################################\n"
"GZIP "
#ifdef GZIP
GZIP
#else
"gunzip -c %s\n"
#endif
"TMPDIR /tmp\n"
"INTERACTIVE yes\n";


static const char df_resources[]=
"#######################################\n"
"# __      ___ __   _____      _____   #\n"
"# \\ \\ /\\ / / '_ \\ / _ \\ \\ /\\ / / __|  #\n"
"#  \\ V  V /| | | |  __/\\ V  V /\\__ \\  #\n"
"#   \\_/\\_/ |_| |_|\\___| \\_/\\_/ |___/  #\n"
"#   The default wnews resources file  #\n"
"#######################################\n"
"Arstechnica|Your guide for how computers really work|arstechnica.com/etc/rdf/ars.rdf\n"
"Bureau42|An arts news resource|www.bureau42.com/rdf/\n"
"CNet-Comp|Most recent CNet enterprise computing stories|rss.com.com/2547-1001-0-10.xml\n"
"DDN|Daily BSD News|daily.daemonnews.org/ddn.rdf.php3\n"
"DaemonNews|BSD Unix operating systems news resource|daily.daemonnews.org/ddn.rdf.php3\n"
"eFilmCritic|A film critics website|efilmcritic.com/fo.rdf\n"
"FreeBSDDiary|A news, article and support resource for FreeBSD|www.freebsddiary.org/news.php\n"
"FreeBSD|News from FreeBSD.org|www.freebsd.org/news/news.rdf\n"
"FreshPorts|The latest news and updates in FreeBSD ports|www.freshports.org/news.php?date=1&time=1&committer=1\n"
"FreshSource|The latest CVS commits to FreeBSD source|www.freshsource.org/news.php\n"
"Freshmeat|The opensource haven|freshmeat.net/backend/fm.rdf\n"
"GNOME|The latest news from the GNOME community|www.gnomedesktop.org/backend.php\n"
"Internet Business|Business news from the IT industry|headlines.internet.com/internetnews/bus-news/news.rss\n"
"KDE|The latest KDE news|www.kde.org/dotkdeorg.rdf\n"
"Kuro5hin|Culture and technology blogs|www.kuro5hin.org/backend.rdf\n"
"Linux Game Tome|The game resource for Linux|happypenguin.org/html/news.rdf\n"
"Linux Weekly News|See title|lwn.net/headlines/rss\n"
"LinuxOrbit|Yet another Linux news source|www.linuxorbit.com/backend.php\n"
"LinuxSecurity|The latest security announcements and discussions for Linux|www.linuxsecurity.com/linuxsecurity_hybrid.rdf\n"
"LinuxToday|Daily Linux news|linuxtoday.com/backend/my-netscape.rdf\n"
"MozillaZine|The mozilla communities favorite website|www.mozillazine.org/contents.rdf\n"
"Mozilla|Mozilla's latest happenings and announcements|www.mozilla.org/news.rdf\n"
"OSNews|Operating system news|www.osnews.com/files/recent.rdf\n"
"Slashdot|News for nerds, stuff that matters|slashdot.org/slashdot.rss\n"
"SuperHits|The latest hits in the media industry|www.superhits.ch/cgi-bin/superhits.cgi?page=rdf\n"
"The Register|A popular news resource|www.theregister.co.uk/tonys/slashdot.rdf\n"
"TradeSims|The stock exchange|www.tradesims.com/AEX.rdf\n"
"ZDnet|ZDNet - news headlines from around the web|p.moreover.com/cgi-local/page?feed=129&o=rss\n";

int cconfig(void);
struct resource *rconfig(void);
int config(void);
