/*
 * Author: Samy Al Bahra  <samy@kerneled.org>
 * Date  : Sat Jun 28 08:39:42 2003
 * Copyright(C) 2003 Mohammad Susli
 * Portions Copyright(C) 2003 Samy Al Bahra
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
 * License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59
 * Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <curses.h>
#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>

#include <config.h>
#include <headline.h>
#include <interface.h>
#include <wstring.h>

/* Print error message to curses output or console depending on mode */
void 
werror(char *fmt,...)
{
	va_list ap;
	char *buf, *s;
	int len;

	if (!fmt)
		return;

	va_start(ap, fmt);
	if (!(len = vfsalloc(fmt, ap)))
		return;
	va_end(ap);
	
	if (!(buf = malloc(len)))
		return;

	va_start(ap, fmt);		
	vsprintf(buf, fmt, ap);
	va_end(ap);

	if (interactive)
		wprompt(buf);
	else
		fprintf(stderr, "%s\n", buf);

	free(buf);
}
